import { StyleProp, ViewStyle, TextStyle } from 'react-native';
import React, { FunctionComponent } from 'react';
declare type PropsType = {
    children?: React.ReactNode | React.ReactNode[];
    style?: StyleProp<ViewStyle> | StyleProp<TextStyle>;
};
declare type FlexPropsType = {
    alignContentFlexStart?: boolean;
    alignContentFlexEnd?: boolean;
    alignContentCenter?: boolean;
    alignContentStretch?: boolean;
    alignContentSpaceBetween?: boolean;
    alignContentSpaceAround?: boolean;
    alignItemsFlexStart?: boolean;
    alignItemsFlexEnd?: boolean;
    alignItemsCenter?: boolean;
    alignItemsStretch?: boolean;
    alignItemsBaseline?: boolean;
    alignSelfAuto?: boolean;
    alignSelfFlexStart?: boolean;
    alignSelfFlexEnd?: boolean;
    alignSelfCenter?: boolean;
    alignSelfStretch?: boolean;
    alignSelfBaseline?: boolean;
    directionRow?: boolean;
    directionRowReverse?: boolean;
    directionColumn?: boolean;
    directionColumnReverse?: boolean;
    grow?: number;
    noGrow?: boolean;
    shrink?: number;
    noShrink?: boolean;
    wrap?: boolean;
    noWrap?: boolean;
    justifyContentFlexStart?: boolean;
    justifyContentFlexEnd?: boolean;
    justifyContentCenter?: boolean;
    justifyContentSpaceBetween?: boolean;
    justifyContentSpaceAround?: boolean;
    justifyContentSpaceEvenly?: boolean;
};
declare type ExtFlexPropsType = {
    alignCenter?: boolean;
    alignHCenter?: boolean;
    alignVCenter?: boolean;
    flex?: number;
    basis?: number | string;
};
declare const FlexBox: FunctionComponent<PropsType & FlexPropsType & ExtFlexPropsType>;
export default FlexBox;
//# sourceMappingURL=index.d.ts.map